Bug 1497443 - freetype-devel.i386 has multilib conflicts with freetype-devel.x86_64
Summary: freetype-devel.i386 has multilib conflicts with freetype-devel.x86_64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freetype
Version: 27
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-30 13:03 UTC by Bill Gianopoulos
Modified: 2017-11-19 23:57 UTC (History)
10 users (show)

Fixed In Version: freetype-2.8-6.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-17 00:12:59 UTC


Attachments (Terms of Use)

Description Bill Gianopoulos 2017-09-30 13:03:20 UTC
Description of problem:

pango-devel.i386 can't be installed with pango-devel.x86_64 on x86_64 box.

Comment 1 Bill Gianopoulos 2017-09-30 13:04:34 UTC
This makes me wonder how bug 454291 ever got marked as fixed because pango-devel had a dependency on freetype-devel.

Comment 2 Bill Gianopoulos 2017-09-30 13:09:56 UTC
Well I guess actually it was closed as wontfix which seems to be the wrong resolution as seems it was actually fixed ups
tream.

Comment 3 Marek Kašík 2017-10-09 12:29:52 UTC
This bug has actually shown up in 2.8 release. I've fixed it in rawhide and F27 for now.

Comment 4 Fedora Update System 2017-10-09 21:56:10 UTC
freetype-2.8-6.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f29c2195f6

Comment 5 Fedora Update System 2017-10-17 00:12:59 UTC
freetype-2.8-6.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Hin-Tak Leung 2017-11-19 23:57:02 UTC
Apparently I came up with a much simplier multilib patch for myself which works for 2.8 and survives the 2.8 and 2.8.1 transition, a couple of months before this bug.

Note the important part is just libdir. The one used in 2.8-6 is way too complicated and therefore broke with 2.8.1 .

Since Koji does not offer a 2.8.1 srpm yet, FYI.

--- freetype-2.8.orig/builds/unix/freetype-config.in.orig	2017-03-30 11:20:23.000000000 +0100
+++ freetype-2.8/builds/unix/freetype-config.in	2017-05-14 03:13:26.386151333 +0100
@@ -39,7 +39,7 @@
   exec_prefix="%exec_prefix%"
 
   includedir="%includedir%"
-  libdir="%libdir%"
+  libdir=`pkg-config --variable libdir freetype2`
 
   version=%ft_version%


Note You need to log in before you can comment on or make changes to this bug.